#pragma once

#ifndef __REDRATCONNECTIONS_H__
#define __REDRATCONNECTIONS_H__

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CRedRatConnections
class ATL_NO_VTABLE CRedRatConnections : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CRedRatConnections, &CLSID_RedRatConnections>,
	public ISupportErrorInfoImpl<&IID_IRedRatConnections>,
	public IDispatchImpl<IRedRatConnections, &IID_IRedRatConnections, &LIBID_REDRATLib>
{
public:
//Constructors / Destructors
	CRedRatConnections();

DECLARE_PROTECT_FINAL_CONSTRUCT()
DECLARE_REGISTRY_RESOURCEID(IDR_REDRATCONNECTIONS)

BEGIN_COM_MAP(CRedRatConnections)
	COM_INTERFACE_ENTRY(IRedRatConnections)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

//IRedRatConnections
  STDMETHOD(get_Count)(long* pVal);
  STDMETHOD(Item)(long nIndex, IRedRatConnection** ppConnection);
  STDMETHOD(get__NewEnum)(IUnknown** ppVal);
};

OBJECT_ENTRY_AUTO(__uuidof(RedRatConnections), CRedRatConnections)

#endif //__REDRATCONNECTIONS_H__
