#pragma once

#ifndef __REDRATPORT_H__
#define __REDRATPORT_H__

#include "resource.h"       // main symbols

class ATL_NO_VTABLE CRedRatPort : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CRedRatPort, &CLSID_RedRatPort>,
	public ISupportErrorInfoImpl<&IID_IRedRatPort>,
	public IDispatchImpl<IRedRatPort, &IID_IRedRatPort, &LIBID_REDRATLib>
{
public:
//Constructors / Destructors
	CRedRatPort();

DECLARE_PROTECT_FINAL_CONSTRUCT()
DECLARE_REGISTRY_RESOURCEID(IDR_REDRATPORT)

BEGIN_COM_MAP(CRedRatPort)
	COM_INTERFACE_ENTRY(IRedRatPort)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

//IRedRatPort
	STDMETHOD(CreateConnection)(long Port, VARIANT_BOOL MakeNewSharable, IRedRatConnection** ppConnection);
};

OBJECT_ENTRY_AUTO(__uuidof(RedRatPort), CRedRatPort)

#endif //__REDRATPORT_H__
