#pragma once

#ifndef __REDRATCP_H__
#define __REDRATCP_H__

//Pull in the new improved IConnectionPoint implementation which works across threads
#include "ATLCPImplMT.h"

template <class T>
class CProxy_IRedRatConnectionEvents : public IConnectionPointImplMT<T, &DIID__IRedRatConnectionEvents, _IRedRatConnectionEvents>
{
public:
	HRESULT Fire_OnSignal(BSTR Sentence)
	{
		CComVariant varResult;
		CComVariant* pvars = new CComVariant[1];
		int nConnections = m_Clients.GetSize();
		for (int nConnectionIndex = 0; nConnectionIndex < nConnections; nConnectionIndex++)
		{
      CComPtr<IDispatch> sp(GetInterfaceAt(nConnectionIndex));
			if (sp)
			{
				VariantClear(&varResult);
				pvars[0] = Sentence;
				DISPPARAMS disp = { pvars, NULL, 1, 0 };
				sp->Invoke(0x1, IID_NULL, LOCALE_USER_DEFAULT, DISPATCH_METHOD, &disp, &varResult, NULL, NULL);
			}
		}
		delete [] pvars;
		return varResult.scode;
	}
};

#endif __REDRATCP_H__ 